/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */

package Aufgabe10_ChatProgramm;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start(String host, String dateiname) throws MalformedURLException, IOException
  {
    URL oURL = new URL(host + "/" + dateiname);
    InputStream inS = oURL.openStream();
    BufferedInputStream in = new BufferedInputStream(inS);
    
    String tmpVerzeichnis = System.getProperty("java.io.tmpdir");
    String ausgabeDatei = tmpVerzeichnis + File.separator + dateiname;
    
    FileOutputStream fos = new FileOutputStream(ausgabeDatei);
    BufferedOutputStream out = new BufferedOutputStream(fos);
    
    int wert = 0;
    
    while ( (wert = in.read()) >= 0)
    {
      out.write(wert);
    }
    out.flush();
    out.close();
    in.close();
    System.out.println("Datei " + dateiname +
                       " im Verzeichnis " + tmpVerzeichnis + 
                       " gespeichert");
  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    if (args.length != 2)
    {
      System.err.println("2 Aufrufparameter nötig: Host und Dateiname");
    }
    else
    {
      try
      {
        new Start(args[0], args[1]);
      }
      catch (Exception ex)
      {
        System.err.println(ex);
      }
    }
  }
}
